package sgc.portal.cw.cw0402.persistence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0402.dto.CW04020001USearch;
import sgc.portal.cw.cw0402.model.CW04020001U;

import java.util.List;
import java.util.Map;

@Mapper
public interface CW04020001UMapper {
	
	//협회 등급.자격 등록관리
	List<EasyHashMap<String, Object>> selectZehrCareerAssoGradeList(CW04020001USearch search);
	
	//인사 경력 조회
	List<EasyHashMap<String, Object>> selectZehrPhmLicenseIuList(CW04020001USearch search);
	
	//협회 등급.자격 등록관리 등록 변경 삭제
	void insertZehrCareerAssoGrade(CW04020001U cW04020001U);
	void updateZehrCareerAssoGrade(CW04020001U cW04020001U);
	void deleteZehrCareerAssoGrade(CW04020001U cW04020001U);
}
